# Mini_Projet_C Léa MESLIN : nouvelles fonctionnalités dans le jeu Arkanoid 

>  Description du projet 

Mon projet consiste en l'implementation de nouvelles fonctionnalités dans le jeu Arkanoid de Raylib.


*  La première fonctionnalité est la création de briques qui ont un effet spécial lorsqu'on les casse.

Mon but est de créer 3 briques de cette sorte qui ont des couleurs différentes pour qu'on les remarque :

Une brique violette qui permet de téléporter sa balle au dessus des briques. 

Une brique bleue qui explose ses 4 voisines.

Une brique noire qui se casse après deux toucher de la balle. 


*  La deuxième fonctionnalité est l'implémentation d'un score et d'un meilleur score. 

Le meilleur score est initialisé à -50. 

-une brique noire vaut 2 pts 

-une brique bleue vaut 5 pts

Les autres briques valent 1 point.

Dès qu'on perd une vie le score baisse de 10 points. 

Le meilleur score est le meilleur score que le joueur a obtenu au cours des dernières parties. 


*  La troisième fonctionnalité est l'implémentation de plusieurs thèmes de jeu 

Il y a un thème aléatoire où les couleurs des briques sont aléatoires. 

Il y a un thème coeur où les briques dessinent 2 coeurs.

Il y a un thème I love C.

Il y a un thème tempête représentant deux nuages et un éclair. 


>  Instructions pour compiler 

Pour compiler mon projet j'utilise notepad++ for raylib qui est téléchargeable en même temps que Raylib sur le site : https://www.raylib.com/.

Il suffit d'appuyer sur la touche F6 du clavier pour que le code compile et que le jeu s'ouvre. 


> Instructions pour lancer le jeu 

Pour lancer le jeu il suffit d'appuyer sur la barre espace. Puis on déplace la barre avec les flèches du clavier. 

Pour recommencer une partie lorsqu'on perd il suffit d'appuyer sur la touche ENTREE.

Pour mettre sur pause il faut appuyer sur la touche P.


> Descriptions des fichiers 

J'ai modifié le fichier arkanoid.c pour y ajouter mes modifications. 

Mon programme se sert aussi du fichier raylib.h. 


> Points qui fonctionnent et points d'amélioration 

Les différentes briques ont le comportement attendu, les thèmes, le score et meilleur score aussi.

Néanmoins j'aurais pu créer une interface où l'utilisateur choisit son thème à la place d'avoir des thèmes aléatoires. 

De plus, le score maximum n'est pas le même suivant les thèmes (à cause de la proportion différente de briques bleues / violettes / noires et grises), il faudrait donc créer plusieurs meilleurs scores qui dépendent de ces thèmes. 


